Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#747 closed defect

m68k-rtems-gcc-3.4.3 -m528x links against wrong multilib variant

Reported by: Eric Norum Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: tool Version: unknown
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

GCC doesn't seem to know that '-m528x' should imply the use of the 'm5200' multilib variant when linking. Instead the link editor ends up using the default multilib variant (corresponding to a 68020, I believe) -- which has non-ColdFire? instructions. These, of course, cause exceptions when the mcf5282 tries to execute them.

My quick-fix attempt was to addm528x=m5200 to the MULTILIB_MATCHES in gcc/config/m68k/t-m68kelf but this seems to have had no effect.

Release:
gcc-3.4.3

Environment:
Linux/Darwin? hosts, MCF5282 target

How-To-Repeat:
Add -Wl,--trace to a -m5828x link and you'll see that the wrong libraries are used.

Attachments (1)

gcc-4.0-rtems-m528x.diff (540 bytes) - added by Eric Norum on 12/03/06 at 13:31:13.
gcc-4.0-rtems-m528x.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 03/08/06 at 17:56:25 by Joel Sherrill

Status: assignedsuspended

State-Changed-From-To: open->suspended
State-Changed-Why: Tool set is very old. If you want proper coldfire support,
you need to upgrade tool versions.

Changed on 12/03/06 at 13:31:13 by Eric Norum

Attachment: gcc-4.0-rtems-m528x.diff added

gcc-4.0-rtems-m528x.diff

comment:2 Changed on 11/21/14 at 14:12:09 by Joel Sherrill

Description: modified (diff)
Resolution: wontfix
Status: closed
Note: See TracTickets for help on using tickets.